Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.charts
Class DirectoryPieChartMaker

    java.lang.Object
      net.sf.statcvs.charts.DirectoryPieChartMaker

Direct Known Subclasses:
  DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker

public abstract class DirectoryPieChartMaker
extends Object

Class for producing directory pie charts

Version:
  $Id: DirectoryPieChartMaker.java,v 1.13 2009/04/25 16:36:20 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

Nested Class Summary
`static class` | `DirectoryPieChartMaker.CodeDistributionChartMaker`
`static class` | `DirectoryPieChartMaker.DirectorySizesChartMaker`

Constructor Summary
`DirectoryPieChartMaker(String chartName, ReportConfig config, SortedSet directories, String title, String fileName)` Creates a new PieChartMaker

Method Summary
`protected abstract int` | `calculateValue(Directory directory)`
`ChartImage` | `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryPieChartMaker

    public DirectoryPieChartMaker(String chartName,
                                  ReportConfig config,
                                  SortedSet directories,
                                  String title,
                                  String fileName)

  Creates a new PieChartMaker

Parameters:
  `config` - The report configuration to use
  `directories` - The set of directories to consider
  `title` - The chart title
  `fileName` - The file name for chart

Method Detail

### toFile

    public ChartImage toFile()

### calculateValue

    protected abstract int calculateValue(Directory directory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD